!> \file massb_perturb_Tparam_green.f90
!! Calcule le mass balance en mode perturbation
!! avec la temperature parametree
!<

!> SUBROUTINE: massb_perturb_Tparam
!! \author ...
!! \date ...
!! @ note Calcule le mass balance en mode perturbation
!! @note  Avec la temperature parametree greenmint
!! @note  Version Groenland (greenmint) 
!! @note Used modules:
!! @note    - use lect_clim_act_greenmint
!! @note    - use climat_perturb_mod
!<

subroutine massb_perturb_Tparam               ! calcule le mass balance en mode perturbation
                                              ! avec la temperature parametree greenmint    
                                              ! version Groenland (greenmint)      
use lect_clim_act_greenmint
use climat_perturb_mod

implicit none

!     surface temperature
call Tsgreen                                  ! dans lect_clim_act_greenmint
Tann(:,:)=Tann(:,:)+Tafor
Tjuly(:,:)=Tjuly(:,:)+Tafor

do j=1,ny
   do i=1,nx

      if(retroac.eq.1) then           ! full retroaction acc. 
         acc(i,j)=precip(i,j)*exp(rappact*(tann(i,j)-ta0(i,j)))
         
      else if(retroac.eq.0) then
         acc(i,j)=precip(i,j)
         
      endif
   end do
end do

!     ablation et bilan de masse sont maintenant appeles par forclim

      
debug_3D(:,:,29)=Tann(:,:)-Ta0(:,:)
debug_3D(:,:,30)=Acc(:,:)-precip(:,:)
debug_3D(:,:,31)=Acc(:,:)-bmelt(:,:)

      

return
end subroutine massb_perturb_Tparam

