!> \file module_choix-greenmint-40.f90
!! Ce module permet de choisir quels package on veut utiliser
!! 
!<

!> \namespace MODULE_CHOIX
!! Ce module permet de choisir quels package on veut utiliser
!! \author CatRitz
!! \date ...
!! @note Used modules
!! @note   - use lect_topo_greenmint  
!! @note   - use lect_clim_act_greenmint
!! @note   - use ablation_ann         
!! @note   - use climat_perturb_mod
!! @note   - use no_lakes
!! @note   - use isostasie_mod 
!! @note   - use deformation_mod_2lois   
!! @note   - use  prop_thermiques_ice
!! @note   - use eau_basale
!! @note   - use sliding_Bindschadler
!! @note   - use dragging_hwat_contmaj
!! @note   - use eq_ellip_sgbsv_mod 
!! @note   - use calving_frange
!! @note   - use equat_adv_diff_2D 
!! @note   - use  bmelt_seuil_prof
!! @note   - use fake_greenmint
!! @note   - use out_profile  
!! @note   - use out_cptr    
!! @note   - use out_hz       
!! @note   - use output_greenmint_mod
!! @note   - use printtable
!<

MODULE MODULE_CHOIX

!--------------Lecture topo ------------------------

use lect_topo_greenmint    ! pour le groenland intercomp eimint : devrait marcher 
                           ! pour les deux resolutions : 40 et 20 km

!--------------Lecture climat ref ------------------
use lect_clim_act_greenmint

! use lect_clim_act_nord40 ! pour l'hemisphere nord et l'eurasie
! use  climat_heino

!--------------Lecture climat forcage---------------

use ablation_ann          ! le module pdd base sur Tann et Tjuly
use climat_perturb_mod
!use climat_forcage_mod
!use climat_synthes_mod
!use climat_profil_mod
!use climat_regions_delta


! pas de lacs proglaciaires
use no_lakes

!--------------Choix isostasie----------------------
 use isostasie_mod  ! module permettant de calculer la deflexion isostasique
! use noisostasie_mod ! module pour ne pas avoir d'isostasie


!--------------Module Physique---------------------
use deformation_mod_2lois   ! module concernant les lois de deformation

!--------------Module propriete thermique de la glace
use  prop_thermiques_ice
! use prop_therm_ice_heino

! eau basale
use eau_basale

! sliding- dragging
! use module sliding_vitbal
use sliding_Bindschadler
! use sliding_dragging_heino    ! loi de glissement heino : mis dans diffusiv : 


!use dragging_vitbil
! use dragging_hwatstream

!use dragging_hwat_cont

use dragging_hwat_contmaj

! module concernant l'eq. elliptique (pour les streams et shelves)

! use eq_elliptique_mod ! ancienne version (remplimat-5)
use eq_ellip_sgbsv_mod ! nouvelle version juillet 2008

! calving
use calving_frange

! choix resolution de la conservation de la masse
!-----------------------------------------------
use equat_adv_diff_2D          ! conservation masse avec advection-diffusion


!--------------Fusion basale------------------------
use  bmelt_seuil_prof
! use bmelt_ant_regions ! pour l'Antarctique avec rgions
! USE BMELT_NOR_REGIONS ! pour le nord avec rgions
! use BMELT_NOR_DEPTH   ! pour le nord avec profondeur d'eau


! fake -------fausses routines pour compatibilits
! use fake_heino
! use fake_ant
use fake_greenmint

! use fake_nord
!-------------- Outputs-----------------------------
!
use out_profile  !profils
!use out_cptr     ! fichier de reprise 
use out_hz       ! module de sorties snapshot dans un plan horizontal

!-----Suivi temporel
! use output_heminord_mod
 use output_greenmint_mod
! use output_heino
!-----debugage...
use printtable


end module MODULE_CHOIX
